Subject: Re: bug#22645: 24.5; indentation in shell-script-mode after &&

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 12 May 2022 18:17:11 +0200

Lasse Kliemann <[email-masked]> writes:

> M-x shell-script-mode
>
> type:
> foo &&
> bar
>
> This will make the second line (bar) indented. While this may be desired
> sometimes, in some cases it is not. I use && for control flow throughout
> my whole program, which makes this indentation not useful.
>
> A fix was offered here, which I use now:
> http://superuser.com/a/1038557/494683
>
> Maybe this could be made a configurable option?

I've now added this to Emacs 29 under the name
`sh-indent-statement-after-and'.  If anybody has a better name, feel
free to adjust.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no